# DataGridView\.CustomSummary

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents a [Custom](/api/wisej.web/lists-and-grids/datagridview/wisej.web.summarytype.md#fields) summary function.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void CustomSummary(DataGridViewRow[] group, DataGridViewColumn summaryColumn)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub CustomSummary(ByVal group()
```

{% endtab %}
{% endtabs %}

## Parameters

| Name              | Type                                                                                              | Description                                                                                                                        |
| ----------------- | ------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **group**         | [DataGridViewRow\[\]](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md)   | Array of [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) in the group to summarize.    |
| **summaryColumn** | [DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md) | The [DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md) to calculate the summary on. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridview.customsummary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
